<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>main</name>
    <title></title>
    <filename>main</filename>
  </compound>
  <compound kind="group">
    <name>globus_rsl_predicates</name>
    <title>RSL Predicates</title>
    <filename>group__globus__rsl__predicates.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_is_relation</name>
      <anchorfile>group__globus__rsl__predicates.html</anchorfile>
      <anchor>gf9e50da006767239b3a72c1cecf688bf</anchor>
      <arglist>(globus_rsl_t *ast)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_is_boolean</name>
      <anchorfile>group__globus__rsl__predicates.html</anchorfile>
      <anchor>ge2ca27ef61ece59626707bd81ae8981b</anchor>
      <arglist>(globus_rsl_t *ast)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_is_relation_eq</name>
      <anchorfile>group__globus__rsl__predicates.html</anchorfile>
      <anchor>gd96ad779dded5382a6e2898e37410273</anchor>
      <arglist>(globus_rsl_t *ast)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_is_relation_lessthan</name>
      <anchorfile>group__globus__rsl__predicates.html</anchorfile>
      <anchor>g9afe58d65e9501d32dcc9de46cfeaa87</anchor>
      <arglist>(globus_rsl_t *ast)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_is_relation_attribute_equal</name>
      <anchorfile>group__globus__rsl__predicates.html</anchorfile>
      <anchor>g7185c84377083ef9841eb4a5c4dc7378</anchor>
      <arglist>(globus_rsl_t *ast, char *attribute)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_is_boolean_and</name>
      <anchorfile>group__globus__rsl__predicates.html</anchorfile>
      <anchor>g59141ca488cafa711cda5bae7b232baa</anchor>
      <arglist>(globus_rsl_t *ast)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_is_boolean_or</name>
      <anchorfile>group__globus__rsl__predicates.html</anchorfile>
      <anchor>gfc93b88716e97cc67af1b067a357456a</anchor>
      <arglist>(globus_rsl_t *ast)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_is_boolean_multi</name>
      <anchorfile>group__globus__rsl__predicates.html</anchorfile>
      <anchor>gc8f757a38ddab28d6deb944e12c4f454</anchor>
      <arglist>(globus_rsl_t *ast)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_value_is_literal</name>
      <anchorfile>group__globus__rsl__predicates.html</anchorfile>
      <anchor>g27824decb8cbbb4e275d1b66f11fe5d0</anchor>
      <arglist>(globus_rsl_value_t *ast)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_value_is_sequence</name>
      <anchorfile>group__globus__rsl__predicates.html</anchorfile>
      <anchor>g501b895632c26ffdeea10d3d1c53f348</anchor>
      <arglist>(globus_rsl_value_t *ast)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_value_is_variable</name>
      <anchorfile>group__globus__rsl__predicates.html</anchorfile>
      <anchor>g5627651c78a484902a8639cc5ea76d7a</anchor>
      <arglist>(globus_rsl_value_t *ast)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_value_is_concatenation</name>
      <anchorfile>group__globus__rsl__predicates.html</anchorfile>
      <anchor>g9756d2e11e2c13b64fd9b83a386d9f68</anchor>
      <arglist>(globus_rsl_value_t *ast)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_rsl_constructors</name>
    <title>RSL Constructors</title>
    <filename>group__globus__rsl__constructors.html</filename>
    <member kind="function">
      <type>globus_rsl_t *</type>
      <name>globus_rsl_make_boolean</name>
      <anchorfile>group__globus__rsl__constructors.html</anchorfile>
      <anchor>ge309b1212e4d3bd6a2035cf2fc9ce24e</anchor>
      <arglist>(int operator, globus_list_t *children)</arglist>
    </member>
    <member kind="function">
      <type>globus_rsl_t *</type>
      <name>globus_rsl_make_relation</name>
      <anchorfile>group__globus__rsl__constructors.html</anchorfile>
      <anchor>ge04f30a43ac9b683c5ede44e1f7b09fd</anchor>
      <arglist>(int operator, char *attributename, globus_rsl_value_t *value_sequence)</arglist>
    </member>
    <member kind="function">
      <type>globus_rsl_value_t *</type>
      <name>globus_rsl_value_make_literal</name>
      <anchorfile>group__globus__rsl__constructors.html</anchorfile>
      <anchor>g0fe72c74ff4f665e52340d9e006d4ed9</anchor>
      <arglist>(char *string)</arglist>
    </member>
    <member kind="function">
      <type>globus_rsl_value_t *</type>
      <name>globus_rsl_value_make_sequence</name>
      <anchorfile>group__globus__rsl__constructors.html</anchorfile>
      <anchor>g7a639a7eb726afb325cd02647446cd62</anchor>
      <arglist>(globus_list_t *value_list)</arglist>
    </member>
    <member kind="function">
      <type>globus_rsl_value_t *</type>
      <name>globus_rsl_value_make_variable</name>
      <anchorfile>group__globus__rsl__constructors.html</anchorfile>
      <anchor>gc00e6d5051f4b59d192610b235d3bd68</anchor>
      <arglist>(globus_rsl_value_t *sequence)</arglist>
    </member>
    <member kind="function">
      <type>globus_rsl_value_t *</type>
      <name>globus_rsl_value_make_concatenation</name>
      <anchorfile>group__globus__rsl__constructors.html</anchorfile>
      <anchor>g177a814b109b2869a950381c7d03f2a6</anchor>
      <arglist>(globus_rsl_value_t *left_value, globus_rsl_value_t *right_value)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_rsl_memory</name>
    <title>RSL Memory Management</title>
    <filename>group__globus__rsl__memory.html</filename>
    <member kind="function">
      <type>globus_rsl_t *</type>
      <name>globus_rsl_copy_recursive</name>
      <anchorfile>group__globus__rsl__memory.html</anchorfile>
      <anchor>gaa4831f9924fd34d38e938b0243c3b56</anchor>
      <arglist>(globus_rsl_t *ast_node)</arglist>
    </member>
    <member kind="function">
      <type>globus_rsl_value_t *</type>
      <name>globus_rsl_value_copy_recursive</name>
      <anchorfile>group__globus__rsl__memory.html</anchorfile>
      <anchor>g5c5813d0ace27993dbec8d4c0a1620d7</anchor>
      <arglist>(globus_rsl_value_t *globus_rsl_value_ptr)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_value_free</name>
      <anchorfile>group__globus__rsl__memory.html</anchorfile>
      <anchor>g9545ce4ccc57f0b50e0ad905000f4baf</anchor>
      <arglist>(globus_rsl_value_t *val)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_free</name>
      <anchorfile>group__globus__rsl__memory.html</anchorfile>
      <anchor>ga31060a3743bb715bb14fc3ce64f21a8</anchor>
      <arglist>(globus_rsl_t *ast_node)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_value_free_recursive</name>
      <anchorfile>group__globus__rsl__memory.html</anchorfile>
      <anchor>g4a7711f10d353549cefa6b95a9d09e3f</anchor>
      <arglist>(globus_rsl_value_t *globus_rsl_value_ptr)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_free_recursive</name>
      <anchorfile>group__globus__rsl__memory.html</anchorfile>
      <anchor>g4ce1c2817ed3d4a25bc3b22df79aa538</anchor>
      <arglist>(globus_rsl_t *ast_node)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_value_list_literal_replace</name>
      <anchorfile>group__globus__rsl__memory.html</anchorfile>
      <anchor>g7ca9a157b7ffa4912684d02200d4c6bc</anchor>
      <arglist>(globus_list_t *value_list, char *string_value)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_value_eval</name>
      <anchorfile>group__globus__rsl__memory.html</anchorfile>
      <anchor>g79c79b4e92b52f2421295494bdac3272</anchor>
      <arglist>(globus_rsl_value_t *ast_node, globus_symboltable_t *symbol_table, char **string_value, int rsl_substitution_flag)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_eval</name>
      <anchorfile>group__globus__rsl__memory.html</anchorfile>
      <anchor>ge51ec88e1886bfe82f9a5785006a97c8</anchor>
      <arglist>(globus_rsl_t *ast_node, globus_symboltable_t *symbol_table)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_rsl_accessor</name>
    <title>RSL Accessor Functions</title>
    <filename>group__globus__rsl__accessor.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_boolean_get_operator</name>
      <anchorfile>group__globus__rsl__accessor.html</anchorfile>
      <anchor>ge98a2c8b7d08e2e57a69c2df0b1ffeba</anchor>
      <arglist>(globus_rsl_t *ast_node)</arglist>
    </member>
    <member kind="function">
      <type>globus_list_t *</type>
      <name>globus_rsl_boolean_get_operand_list</name>
      <anchorfile>group__globus__rsl__accessor.html</anchorfile>
      <anchor>gd58c079e216ef1941a0096b714d457c5</anchor>
      <arglist>(globus_rsl_t *ast_node)</arglist>
    </member>
    <member kind="function">
      <type>globus_list_t **</type>
      <name>globus_rsl_boolean_get_operand_list_ref</name>
      <anchorfile>group__globus__rsl__accessor.html</anchorfile>
      <anchor>g45d2e1de94eea14ecdac41b146e41844</anchor>
      <arglist>(globus_rsl_t *boolean_node)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_rsl_relation_get_attribute</name>
      <anchorfile>group__globus__rsl__accessor.html</anchorfile>
      <anchor>g45dc073b72a1472c0303aa5506b1bcbf</anchor>
      <arglist>(globus_rsl_t *ast_node)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_relation_get_operator</name>
      <anchorfile>group__globus__rsl__accessor.html</anchorfile>
      <anchor>g963187a4a0df195ca2ff45f459279d38</anchor>
      <arglist>(globus_rsl_t *ast_node)</arglist>
    </member>
    <member kind="function">
      <type>globus_rsl_value_t *</type>
      <name>globus_rsl_relation_get_value_sequence</name>
      <anchorfile>group__globus__rsl__accessor.html</anchorfile>
      <anchor>g797a2b57c34b5696d115fd9d87704492</anchor>
      <arglist>(globus_rsl_t *ast_node)</arglist>
    </member>
    <member kind="function">
      <type>globus_rsl_value_t *</type>
      <name>globus_rsl_relation_get_single_value</name>
      <anchorfile>group__globus__rsl__accessor.html</anchorfile>
      <anchor>gbcbc9faca6670455c510625254755590</anchor>
      <arglist>(globus_rsl_t *ast_node)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_rsl_value_literal_get_string</name>
      <anchorfile>group__globus__rsl__accessor.html</anchorfile>
      <anchor>g7ac6e4aec14998a7b37caa3c6a1654b6</anchor>
      <arglist>(globus_rsl_value_t *literal_node)</arglist>
    </member>
    <member kind="function">
      <type>globus_list_t *</type>
      <name>globus_rsl_value_sequence_get_value_list</name>
      <anchorfile>group__globus__rsl__accessor.html</anchorfile>
      <anchor>gb79698cf2d7376bc9323d8f5ad94608e</anchor>
      <arglist>(globus_rsl_value_t *sequence_node)</arglist>
    </member>
    <member kind="function">
      <type>globus_rsl_value_t *</type>
      <name>globus_rsl_value_variable_get_sequence</name>
      <anchorfile>group__globus__rsl__accessor.html</anchorfile>
      <anchor>g3a1ddeb242f49f0af54ae4f37033ece8</anchor>
      <arglist>(globus_rsl_value_t *variable_node)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_rsl_value_variable_get_name</name>
      <anchorfile>group__globus__rsl__accessor.html</anchorfile>
      <anchor>g0be911691cf8ac2c593efda2e5765e5a</anchor>
      <arglist>(globus_rsl_value_t *variable_node)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_rsl_value_variable_get_default</name>
      <anchorfile>group__globus__rsl__accessor.html</anchorfile>
      <anchor>g2a501a57d1f5ed561217a7abbd821d5e</anchor>
      <arglist>(globus_rsl_value_t *variable_node)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_value_variable_get_size</name>
      <anchorfile>group__globus__rsl__accessor.html</anchorfile>
      <anchor>g225c5a2322b25bbe4957ce97d6fc2b63</anchor>
      <arglist>(globus_rsl_value_t *variable_node)</arglist>
    </member>
    <member kind="function">
      <type>globus_rsl_value_t *</type>
      <name>globus_rsl_value_concatenation_get_left</name>
      <anchorfile>group__globus__rsl__accessor.html</anchorfile>
      <anchor>ga278721b0dfa81a55340b5ae5d3d783a</anchor>
      <arglist>(globus_rsl_value_t *concatenation_node)</arglist>
    </member>
    <member kind="function">
      <type>globus_rsl_value_t *</type>
      <name>globus_rsl_value_concatenation_get_right</name>
      <anchorfile>group__globus__rsl__accessor.html</anchorfile>
      <anchor>gf159d2f1833b965af2a0fe968aa60cb0</anchor>
      <arglist>(globus_rsl_value_t *concatenation_node)</arglist>
    </member>
    <member kind="function">
      <type>globus_list_t **</type>
      <name>globus_rsl_value_sequence_get_list_ref</name>
      <anchorfile>group__globus__rsl__accessor.html</anchorfile>
      <anchor>g63e1a9595c857e6643571e7232b18b9b</anchor>
      <arglist>(globus_rsl_value_t *sequence_node)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_list</name>
    <title>List Functions</title>
    <filename>group__globus__list.html</filename>
    <member kind="function">
      <type>globus_list_t *</type>
      <name>globus_list_copy_reverse</name>
      <anchorfile>group__globus__list.html</anchorfile>
      <anchor>ge7235811b409da1130d2e2cd4f347bfe</anchor>
      <arglist>(globus_list_t *orig)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_rsl_param</name>
    <title>RSL Value Accessors</title>
    <filename>group__globus__rsl__param.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_value_concatenation_set_left</name>
      <anchorfile>group__globus__rsl__param.html</anchorfile>
      <anchor>gf24c7b6dcab89134012620388f525d03</anchor>
      <arglist>(globus_rsl_value_t *concatenation_node, globus_rsl_value_t *new_left_node)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_value_concatenation_set_right</name>
      <anchorfile>group__globus__rsl__param.html</anchorfile>
      <anchor>gc6d028a6c845151f9302d71082808932</anchor>
      <arglist>(globus_rsl_value_t *concatenation_node, globus_rsl_value_t *new_right_node)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_value_list_param_get</name>
      <anchorfile>group__globus__rsl__param.html</anchorfile>
      <anchor>g003efb285c2cd5a86dd21558f63d2af8</anchor>
      <arglist>(globus_list_t *ast_node_list, int required_type, char ***value, int *value_ctr)</arglist>
    </member>
    <member kind="function">
      <type>globus_list_t *</type>
      <name>globus_rsl_param_get_values</name>
      <anchorfile>group__globus__rsl__param.html</anchorfile>
      <anchor>g9f95e14b9572cc054d3dc0417a0323eb</anchor>
      <arglist>(globus_rsl_t *ast_node, char *param)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_param_get</name>
      <anchorfile>group__globus__rsl__param.html</anchorfile>
      <anchor>ge0b9c09bf232ad37c7e442942d960436</anchor>
      <arglist>(globus_rsl_t *ast_node, int param_type, char *param, char ***values)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_rsl_print</name>
    <title>RSL Display</title>
    <filename>group__globus__rsl__print.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_value_print_recursive</name>
      <anchorfile>group__globus__rsl__print.html</anchorfile>
      <anchor>g971c5d2dbbfdc5952af046302b757b3b</anchor>
      <arglist>(globus_rsl_value_t *globus_rsl_value_ptr)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_rsl_get_operator</name>
      <anchorfile>group__globus__rsl__print.html</anchorfile>
      <anchor>g8cba2c9f1df1cb9eda6dfc8c69c8cd3a</anchor>
      <arglist>(int my_op)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_print_recursive</name>
      <anchorfile>group__globus__rsl__print.html</anchorfile>
      <anchor>g80337631a0c7de3665816efcdd6766ec</anchor>
      <arglist>(globus_rsl_t *ast_node)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_rsl_unparse</name>
      <anchorfile>group__globus__rsl__print.html</anchorfile>
      <anchor>g1af202b56348aa116437da1b39b3f0c5</anchor>
      <arglist>(globus_rsl_t *rsl_spec)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_rsl_value_unparse</name>
      <anchorfile>group__globus__rsl__print.html</anchorfile>
      <anchor>g3ae654d6b57bbc0ce23bdeb12d97404c</anchor>
      <arglist>(globus_rsl_value_t *rsl_value)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_rsl_parse</name>
    <title>RSL Parsing</title>
    <filename>group__globus__rsl__parse.html</filename>
    <member kind="function">
      <type>globus_rsl_t *</type>
      <name>globus_rsl_parse</name>
      <anchorfile>group__globus__rsl__parse.html</anchorfile>
      <anchor>gb4fcf3d96ab9f8d5eebf97a8906c482d</anchor>
      <arglist>(char *buf)</arglist>
    </member>
  </compound>
</tagfile>
